package com.diagbot.rabbit;

import org.springframework.cloud.stream.annotation.Input;
import org.springframework.cloud.stream.annotation.Output;
import org.springframework.messaging.MessageChannel;
import org.springframework.messaging.SubscribableChannel;

/**
 * @Description: 自定义Stream发布和消费对象
 * @author: gaodm
 * @time: 2018/8/29 13:39
 */
public interface MyProcessor {

    String INPUT_CdssLog = "inputCdssLog";
    String OUTPUT_CdssLog= "outputCdssLog";

    @Input(INPUT_CdssLog)
    SubscribableChannel inputCdssLog();
    @Output(OUTPUT_CdssLog)
    MessageChannel outputCdssLog();

}
