package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Map;

/**
 * 计算公式入参
 */
@Getter
@Setter
public class CalculatorFormulaVO {
    /**
     * 术语概念id
     */
    private Long conceptId;
    /**
     * 参数
     */
    private Map<String,Object> params;
}
