package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

/**
 * 医生信息
 */
@Getter
@Setter
public class Doctor {

    /**
     * 医生ID
     */
    private Long id;

    /**
     * 医生科室ID
     */
    private Long deptId;

    /**
     * 医生姓名
     */
    private String name;

    /**
     * 医生职称（0-无，1-医师，2-主治医师，3-副主任医师，4-主任医师）
     */
    private String professionalTitle;

    /**
     * 医生职业资格 0/1
     */
    private Integer professionalPhysicianQualification;
}
