package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.TranDeptLogDTO;
import com.diagbot.entity.TranLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.StatistByDeptVO;
import com.diagbot.vo.TranLogPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 系统日志表 服务类
 * </p>
 *
 * @author zhoutg
 * @since 2021-10-20
 */
public interface TranLogService extends IService<TranLog> {
    IPage<TranLog> getPage(@Param("tranLogPageVO") TranLogPageVO tranLogPageVO);

    List<TranDeptLogDTO> getStatisDeptAlls(StatistByDeptVO statistByDeptVO);
}
